Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]ImportError: No module named sipconfig
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Fri May 18, 2007 5:09 pm    Post subject: [RISOLTO]ImportError: No module named sipconfig Reply with quote

Ragazzi dopo un aggiornamento del sistema ho il seguente errore, avendo reinstallato PyQt:

evilzpc ~ # emerge PyQt
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) dev-python/PyQt-3.17.2 to /
* PyQt-x11-gpl-3.17.2.tar.gz RMD160 ;-) ... [ ok ]
* PyQt-x11-gpl-3.17.2.tar.gz SHA1 ;-) ... [ ok ]
* PyQt-x11-gpl-3.17.2.tar.gz SHA256 ;-) ... [ ok ]
* PyQt-x11-gpl-3.17.2.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking PyQt-x11-gpl-3.17.2.tar.gz ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking PyQt-x11-gpl-3.17.2.tar.gz to /var/tmp/portage/dev-python/PyQt-3.17.2/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/dev-python/PyQt-3.17.2/work/PyQt-x11-gpl-3.17.2 ...
Traceback (most recent call last):
File "configure.py", line 31, in ?
import sipconfig
ImportError: No module named sipconfig
make: *** No targets specified and no makefile found. Stop.

!!! ERROR: dev-python/PyQt-3.17.2 failed.
Call stack:
ebuild.sh, line 1615: Called dyn_compile
ebuild.sh, line 972: Called qa_call 'src_compile'
ebuild.sh, line 44: Called src_compile
PyQt-3.17.2.ebuild, line 46: Called die

!!! emake failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-python/PyQt-3.17.2/temp/build.log'.

evilzpc ~ #


Come posso risolvere?
_________________
# emerge -uDN life && revdep-rebuild


Last edited by doctor_evilz on Mon May 28, 2007 4:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Sat May 19, 2007 3:13 pm    Post subject: Re: ImportError: No module named sipconfig Reply with quote

doctor_evilz wrote:
...
File "configure.py", line 31, in ?
import sipconfig
ImportError: No module named sipconfig
make: *** No targets specified and no makefile found. Stop.


Prova ad installare questo:
Code:

[I] dev-python/sip
     Available versions:  4.2.1 ~4.2.1-r1 ~4.3.2 ~4.5.2-r1 ~4.6
     Homepage:            http://www.riverbankcomputing.co.uk/sip/
     Description:         SIP is a tool for generating bindings for C++ classes so that they can be used by Python.

_________________
Ciao da me!
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Mon May 21, 2007 1:59 pm    Post subject: Reply with quote

già fatto ma ho lo stesso problema
_________________
# emerge -uDN life && revdep-rebuild
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Sun May 27, 2007 7:17 pm    Post subject: Reply with quote

ragazzi scusate se riposto ma il problema di Python mi crea problemi anche durante l'installazione di Superkaramba 3.5.7.
Come posso risolvere?
_________________
# emerge -uDN life && revdep-rebuild
Back to top
View user's profile Send private message
xveilsidex
Guru
Guru


Joined: 27 Dec 2005
Posts: 370
Location: Bari

PostPosted: Sun May 27, 2007 7:26 pm    Post subject: Reply with quote

ciao il tuo stesso problema è già stato risolto qui :
https://forums.gentoo.org/viewtopic-t-394675-highlight-sipconfig.html
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Mon May 28, 2007 9:25 am    Post subject: Reply with quote

Ho fatto un emerge di sip e il python-updater mi risponde cosi:

evilzpc # python-updater
* Can't determine any previous Python version(s).
evilzpc #


Il problema rimane :(

Se magari potessi sapere dove si trova il file non so potrei spostarlo nella cartella dove mi manca... qualcosa si potrà pur fare
_________________
# emerge -uDN life && revdep-rebuild
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Mon May 28, 2007 10:23 am    Post subject: Reply with quote

doctor_evilz wrote:
Ho fatto un emerge di sip e il python-updater mi risponde cosi:
Code:

evilzpc # python-updater
 * Can't determine any previous Python version(s).

E' normale, si vede che non hai mai effettuato un aggiornamento di Python del tipo 2.3 -> 2.4


doctor_evilz wrote:

Il problema rimane :(

Se magari potessi sapere dove si trova il file non so potrei spostarlo nella cartella dove mi manca... qualcosa si potrà pur fare

Cancella completamente il contenuto di /var/tmp/portage e riprova.

Ancora meglio: prima di riprovare, riaggiorna il Portage Tree e vai con l'aggiornamento di world.
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Mon May 28, 2007 11:02 am    Post subject: Reply with quote

Già avevo effettuato l'operazione Scen, stesso risultato

Ho installato sip-4.6 manualmente prendendolo dal sito del produttore... ora va... l'installazione è stata fatta in /usr/local/lib64/python-2.4 invece di /usr/lib64/python-2.4 . Come mai?
_________________
# emerge -uDN life && revdep-rebuild
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Mon May 28, 2007 12:05 pm    Post subject: Reply with quote

doctor_evilz wrote:
Ho installato sip-4.6 manualmente prendendolo dal sito del produttore... ora va... l'installazione è stata fatta in /usr/local/lib64/python-2.4 invece di /usr/lib64/python-2.4 . Come mai?

Perchè hai installato il pacchetto manualmente, e la procedura imposta (giustamente) le directory di installazione tutte sotto /usr/local/.

È strano che l'installazione tramite Portage fallisca, mentre quella manuale funzioni, ho paura ci sia qualche problema più serio sotto (vedi aggiornamenti non completati correttamente, vedi elog/einfo ignorati bellamente... :roll: )

Hai per caso effettuato aggiornamenti importanti di recente?

Ti consiglio di

  • Rimuovere l'installazione "manuale" di sip-4.6
  • Aggiornare world, incluse le dipendenze di compilazione
    Code:
    emerge -aDNuv --with-bdeps y world

  • Pulire le dipendenze inutili
    Code:
    emerge --depclean -av

  • Controllare l'integrità delle librerie
    Code:
    revdep-rebuild

  • Riprovare ad installare PyQt
    Code:
    emerge -av PyQt


_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
doctor_evilz
Tux's lil' helper
Tux's lil' helper


Joined: 26 May 2006
Posts: 77

PostPosted: Mon May 28, 2007 4:35 pm    Post subject: Reply with quote

Dopo bestemmie varie, ho cancellato tutto il contenuto di python in /usr/local riemerso tutti i pacchetti python compreso sip e pyqt. Ora funziona.

Grazie
_________________
# emerge -uDN life && revdep-rebuild
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum